#
# spec file for package xsupplicant (Version 1.2.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpcap libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           xsupplicant
BuildRequires:  libpcap openssl-devel
URL:            http://www.open1x.org/
Version:        1.2.1
Release:        14.2
License:        GPL, Other uncritical OpenSource License
Group:          Productivity/Networking/Radius/Clients
Summary:        Free implementation of  IEEE 802.1X protocol
Source:         xsupplicant-%{version}.tar.bz2 
Patch:          xsupplicant.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This software allows a workstation to authenticate with a RADIUS server
using 802.1x and various EAP protocols.  The intended use is for
computers with wireless LAN connections to complete a strong
authentication before joining the network.



Authors:
--------
    Bryan D. Payne <bdpayne@cs.umd.edu>
    Nick L. Petroni Jr. <npetroni@cs.umd.edu>
    Chris Hessing  <Chris.Hessing@utah.edu>
    Terry Simons   <Terry.Simons@utah.edu>

%debug_package
%prep
%setup
%patch -p1

%build
autoreconf -fi
./configure --prefix=/usr \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \
            --includedir=%{_includedir}

%install
make CFLAGS="$RPM_OPT_FLAGS" DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%doc AUTHORS COPYING INSTALL TODO LICENSE README doc etc

%changelog -n xsupplicant
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 08 2005 - dmueller@suse.de
- don't build as root
* Thu Oct 13 2005 - jg@suse.de
- update to version 1.2.1
* Thu May 12 2005 - meissner@suse.de
- use RPM_OPT_FLAGS, fixed 1 byte overflow.
* Fri Nov 12 2004 - ro@suse.de
- fixed file list
* Mon Sep 06 2004 - jg@suse.de
- update to version 1.0.1
* Fri Feb 27 2004 - ro@suse.de
- fix build on lib64 (find openssl and pcap)
* Wed Feb 25 2004 - jg@suse.de
- Initial package
